Subject: [BK PATCH] USB changes for 2.5.8
From: Greg KH <[email-masked]>
To: [email-masked]
Cc: [email-masked]

Pull from:  bk://linuxusb.bkbits.net/linus-2.5

(this includes some changesets from the last round I sent that haven't
ended up in your tree yet)

 CREDITS                                 |   10 
 Documentation/usb/brlvger.txt           |   36 +
 Documentation/usb/ov511.txt             |   14 
 MAINTAINERS                             |    7 
 drivers/usb/Config.in                   |   10 
 drivers/usb/Makefile                    |   53 -
 drivers/usb/class/Config.in             |   11 
 drivers/usb/class/Makefile              |    2 
 drivers/usb/class/printer.c             |    1 
 drivers/usb/core/Makefile               |    2 
 drivers/usb/core/drivers.c              |    4 
 drivers/usb/core/usb.c                  |   23 
 drivers/usb/host/Config.in              |    9 
 drivers/usb/host/Makefile               |    2 
 drivers/usb/host/ehci-hcd.c             |   17 
 drivers/usb/host/ehci-q.c               |   68 +
 drivers/usb/host/ehci-sched.c           |   98 +-
 drivers/usb/image/Config.in             |   10 
 drivers/usb/image/Makefile              |    2 
 drivers/usb/image/hpusbscsi.c           |    2 
 drivers/usb/image/mdc800.c              |    1 
 drivers/usb/image/scanner.c             |    1 
 drivers/usb/input/Config.in             |    9 
 drivers/usb/input/Makefile              |    2 
 drivers/usb/input/hiddev.c              |    9 
 drivers/usb/media/Config.in             |   13 
 drivers/usb/media/Makefile              |    2 
 drivers/usb/media/dabusb.c              |    1 
 drivers/usb/media/dsbr100.c             |    2 
 drivers/usb/media/ov511.c               | 1131 ++++++++++++--------------------
 drivers/usb/media/ov511.h               |   23 
 drivers/usb/media/se401.c               |    2 
 drivers/usb/media/stv680.c              |    2 
 drivers/usb/misc/Config.help            |   10 
 drivers/usb/misc/Makefile               |    3 
 drivers/usb/misc/auerswald.c            |    1 
 drivers/usb/misc/brlvger.c              | 1036 +++++++++++++++++++++++++++++
 drivers/usb/misc/rio500.c               |    1 
 drivers/usb/net/Config.in               |   10 
 drivers/usb/net/Makefile                |    2 
 drivers/usb/net/pegasus.c               |   47 -
 drivers/usb/net/rtl8150.c               |   46 -
 drivers/usb/serial/Config.in            |    2 
 drivers/usb/serial/Makefile             |    2 
 drivers/usb/serial/keyspan.c            |  468 ++++++++-----
 drivers/usb/serial/keyspan.h            |  561 +++++++--------
 drivers/usb/serial/keyspan_usa18x_fw.h  |  632 ++++++++---------
 drivers/usb/serial/keyspan_usa19_fw.h   |  325 ++++-----
 drivers/usb/serial/keyspan_usa19qi_fw.h |  284 ++++++++
 drivers/usb/serial/keyspan_usa19qw_fw.h |  448 ++++++++++++
 drivers/usb/serial/keyspan_usa19w_fw.h  |  350 +++++----
 drivers/usb/serial/keyspan_usa26msg.h   |   44 -
 drivers/usb/serial/keyspan_usa28_fw.h   |  411 +++++------
 drivers/usb/serial/keyspan_usa28x_fw.h  |  631 ++++++++---------
 drivers/usb/serial/keyspan_usa28xa_fw.h |  641 +++++++++---------
 drivers/usb/serial/keyspan_usa28xb_fw.h |  645 +++++++++---------
 drivers/usb/serial/keyspan_usa49msg.h   |   48 -
 drivers/usb/serial/keyspan_usa49w_fw.h  |  578 ++++++++--------
 drivers/usb/usb-skeleton.c              |    1 
 include/linux/brlvger.h                 |   57 +
 include/linux/usb.h                     |    3 
 61 files changed, 5341 insertions(+), 3525 deletions(-)

------

[email-masked], 2002-04-22 14:04:50-07:00, [email-masked]
  [PATCH] fix USB documentation bug
  
  USB fix documentation bug
  
   After some source investigations I discovered a harmless mistake:
   The description of the  usb_control_msg(...) function says
   it returns 0, or less than 0 if an error occured, but
   the usb_internal_control_msg returns length, which is sometimes >0
   (success) or <0 if error.

 drivers/usb/core/usb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)
------

[email-masked], 2002-04-22 13:33:19-07:00, [email-masked]
  [PATCH] Re: PATCH: 2.5.8 ehci, submit errors
  
  Oh, and for non-x86 platforms with interesting pci
  mapping, this tweak to one new routine would be
  important in a particular error path I've yet to see ... :)

 drivers/usb/host/ehci-q.c |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)
------

[email-masked], 2002-04-22 13:32:58-07:00, [email-masked]
  [PATCH] PATCH: 2.5.8 ehci, submit errors
  
  It fixes problems with interrupt transfers, which I think that
  nobody else has run into (or I'd surely have heard of it :).
  Looks like not many folk are using USB 2.0 hubs yet.
  
      - wasn't checking enough of the periodic schedule to
        detect bandwidth overcommit (would BUG out)
      - frames to uframes is rightshift 3, not 8 :)
      - properly cleans up (no oops!) after certain rare errors
        in the interrupt submit path (just my luck to hit one)
      - use that cleanup to bypass some old implementation
        shortcuts in the control and bulk submit paths
      - there are also some other minor updates/cleanups

 drivers/usb/host/ehci-hcd.c   |   17 +++----
 drivers/usb/host/ehci-q.c     |   58 +++++++++++++++++++++---
 drivers/usb/host/ehci-sched.c |   98 +++++++++++++++++++++++++++---------------
 3 files changed, 124 insertions(+), 49 deletions(-)
------

[email-masked], 2002-04-22 13:19:21-07:00, [email-masked]
  USB keyspan driver
    
    general cleanups:
    	- removed commented out function prototypes
    	- removed duplicate function prototypes
    	- removed unneeded #include
    	- added named initializers
    	- merged lots of the individual device structures into general 1, 2, and 4 port structures.

 drivers/usb/serial/keyspan.c |   20 -
 drivers/usb/serial/keyspan.h |  433 ++++++++++++++++---------------------------
 2 files changed, 174 insertions(+), 279 deletions(-)
------

[email-masked], 2002-04-22 11:15:07-07:00, [email-masked]
  USB pegasus and rtl8150
  
  Rx tasklet cleanups for both pegasus and rtl8150

 drivers/usb/net/pegasus.c |   47 +++++++++++++++++++++++-----------------------
 drivers/usb/net/rtl8150.c |   46 +++++++++++++++++++++++----------------------
 2 files changed, 48 insertions(+), 45 deletions(-)
------

[email-masked], 2002-04-22 11:13:15-07:00, [email-masked]
  USB ov511 driver
  
  changed test_bit() call.

 drivers/usb/media/ov511.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)
------

[email-masked], 2002-04-22 11:11:13-07:00, [email-masked]
  This updates the ov511 driver to the latest stable version (1.60).
    
    Summary of changes:
    - Remove palette conversion and related code
    - Full OV518 support (except for color), initial OV518+ support
    - Improved OV6620 quality (Credit: Alexandre F.)
    - ov51x_init_isoc() should exit if usb_submit_urb() fails
    - ISO completion handler should only issue warning if bad data is received
    - Added "mirror" module parameter; reverses image horizontally
    - Changed USB control transaction fields to match Windows driver
    - New decompression module locking (decomp_ops->owner), per Greg's advice
    - EXPORT_SYMBOL_NOVERS => EXPORT_SYMBOL
    - New devices: Lifeview USB Live TV PAL/SECAM and PAL D/K+B/G
    - Disabled buf_timeout feature. It was calling vfree() in interrupt
      context, which is illegal. Memory is deallocated immediately on close().
    - Most sensors thought to be OV7620AE were actually OV76BE. Changed code
      to reflect this, and emit a warning if an OV7620AE is encountered.
    - Miscellaneous cleanups and bug fixes

 Documentation/usb/ov511.txt |   14 
 drivers/usb/media/ov511.c   | 1129 +++++++++++++++++---------------------------
 drivers/usb/media/ov511.h   |   23 
 3 files changed, 475 insertions(+), 691 deletions(-)
------

[email-masked], 2002-04-22 11:06:14-07:00, [email-masked]
  [PATCH] added Tieman Voyager USB Braille driver
  
   added Tieman Voyager USB Braille driver

 CREDITS                       |   10 
 Documentation/usb/brlvger.txt |   36 +
 MAINTAINERS                   |    7 
 drivers/usb/Config.in         |    1 
 drivers/usb/Makefile          |    1 
 drivers/usb/misc/Config.help  |   10 
 drivers/usb/misc/Makefile     |    1 
 drivers/usb/misc/brlvger.c    | 1036 ++++++++++++++++++++++++++++++++++++++++++
 include/linux/brlvger.h       |   57 ++
 9 files changed, 1159 insertions(+)
------

[email-masked], 2002-04-19 00:35:40-07:00, [email-masked]
  USB core
  
  Took out the limitation that drivers had to take up 16 minors.  Now
  they can use only 1 if they want to.

 drivers/usb/class/printer.c  |    1 +
 drivers/usb/core/drivers.c   |    4 +++-
 drivers/usb/core/usb.c       |   21 ++++++++++++++-------
 drivers/usb/image/mdc800.c   |    1 +
 drivers/usb/image/scanner.c  |    1 +
 drivers/usb/input/hiddev.c   |    9 +++++----
 drivers/usb/media/dabusb.c   |    1 +
 drivers/usb/media/dsbr100.c  |    2 --
 drivers/usb/misc/auerswald.c |    1 +
 drivers/usb/misc/rio500.c    |    1 +
 drivers/usb/usb-skeleton.c   |    1 +
 include/linux/usb.h          |    3 +++
 12 files changed, 32 insertions(+), 14 deletions(-)
------

[email-masked], 2002-04-19 00:33:05-07:00, [email-masked]
  USB keyspan driver
  
  Added support for the 19QI and 19QW devices.
  Updated the firmware images with new versions.
  minor cleanups to the driver.

 drivers/usb/serial/Config.in            |    2 
 drivers/usb/serial/keyspan.c            |  448 +++++++++++++---------
 drivers/usb/serial/keyspan.h            |  128 ++++--
 drivers/usb/serial/keyspan_usa18x_fw.h  |  632 +++++++++++++++----------------
 drivers/usb/serial/keyspan_usa19_fw.h   |  325 ++++++++--------
 drivers/usb/serial/keyspan_usa19qi_fw.h |  284 ++++++++++++++
 drivers/usb/serial/keyspan_usa19qw_fw.h |  448 ++++++++++++++++++++++
 drivers/usb/serial/keyspan_usa19w_fw.h  |  350 ++++++++---------
 drivers/usb/serial/keyspan_usa26msg.h   |   44 +-
 drivers/usb/serial/keyspan_usa28_fw.h   |  411 ++++++++++----------
 drivers/usb/serial/keyspan_usa28x_fw.h  |  631 +++++++++++++++----------------
 drivers/usb/serial/keyspan_usa28xa_fw.h |  641 +++++++++++++++----------------
 drivers/usb/serial/keyspan_usa28xb_fw.h |  645 ++++++++++++++++----------------
 drivers/usb/serial/keyspan_usa49msg.h   |   48 +-
 drivers/usb/serial/keyspan_usa49w_fw.h  |  578 ++++++++++++++--------------
 15 files changed, 3296 insertions(+), 2319 deletions(-)
------

[email-masked], 2002-04-19 00:18:37-07:00, [email-masked]
  [PATCH] USB hpusbscsi device added
  
  USB hpusbscsi driver
  
   - device added

 drivers/usb/image/hpusbscsi.c |    2 ++
 1 files changed, 2 insertions(+)
------

[email-masked], 2002-04-17 15:36:20-07:00, [email-masked]
  [PATCH] Change "return EBLAH" to "return -EBLAH in drivers/*
  
  Hello All,
  	This is a simple patch that changes several "return EBLAH"'s in drivers/*
  for "return -EBLAH".  I have done my best to check the call stack to ensure
  that the change in sign of the return values wont break anything.
  
  The patch supplied is agaist linux-2.4.19-pre6

 drivers/usb/media/se401.c  |    2 +-
 drivers/usb/media/stv680.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
------

[email-masked], 2002-04-16 18:03:15-05:00, [email-masked]
  Cleanup drivers/usb/Makefile and Config.in's
  
  Use the fact that now O_TARGET == <subdir.o> to simplify the
  Makefile.
  Correct mod-subdirs use.
  Remove unneeded code from drivers/usb/*/Config.in

 drivers/usb/Config.in       |    9 ---------
 drivers/usb/Makefile        |   34 +++-------------------------------
 drivers/usb/class/Config.in |   11 -----------
 drivers/usb/host/Config.in  |    9 ---------
 drivers/usb/image/Config.in |   10 ----------
 drivers/usb/input/Config.in |    9 ---------
 drivers/usb/media/Config.in |   13 -------------
 drivers/usb/net/Config.in   |   10 ----------
 8 files changed, 3 insertions(+), 102 deletions(-)
------